=== po/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fr.mo hr.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sr@latin.mo sr@Latn.mo sq.mo sv.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
 
-all: $(MOFILES) Makefile
+all: $(MOFILES)
 	
 # static pattern rule
-$(MOFILES): %.mo: %.po
-	msgfmt -c -v $< -o $@
+$(MOFILES): %.mo: %.po Makefile
+	@echo 'Compiling translation' $<
+	@msgfmt -c -v $< -o $@
 
 clean:
 	$(RM) *.mo *.percent
