## isomaster 1.3.3

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.1
+VERSION = 1.3.3
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
