## isomaster 1.3.7

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 # Where to install the man page.
 MYMANPATH ?= $(PREFIX)/share/man/man1
+
+# Where to install the bkisofs docs
+MYDOCPATH ?= $(PREFIX)/share/doc/bkisofs
 
 # Where to install the .desktop file
 DESKTOPPATH ?= $(PREFIX)/share/applications
@@ -45,7 +48,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.5
+VERSION = 1.3.7
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
@@ -64,7 +67,7 @@
 
 isomaster: $(OBJECTS) lib iniparser
 	@echo 'Linking isomaster'
-	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
+	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
 
 # static pattern rule
 $(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
@@ -85,6 +88,9 @@
 isomaster.desktop: isomaster.desktop.src
 	$(CP) isomaster.desktop.src isomaster.desktop
 	$(ECHO) Icon=$(ICONPATH)/isomaster.png >> isomaster.desktop
+
+bk-doc:
+	cd bkisofs-manual && $(MAKE)
 
 clean: 
 	cd bk && $(MAKE) clean
@@ -107,12 +113,17 @@
 	$(INSTALL) -m 644 isomaster.1 $(DESTDIR)$(MYMANPATH)
 	$(INSTALL) -d $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -m 644 isomaster.desktop $(DESTDIR)$(DESKTOPPATH)
+	$(INSTALL) -d $(DESTDIR)$(MYDOCPATH)
+	for FILE in bkisofs-manual/*html; do \
+            $(INSTALL) -m 644 $$FILE $(DESTDIR)$(MYDOCPATH); \
+        done;
 
 uninstall: 
-	$(RM) $(DESTDIR)$(BINPATH)/isomaster
+	$(RM) -f $(DESTDIR)$(BINPATH)/isomaster
 	cd icons && $(MAKE) uninstall
 ifndef WITHOUT_NLS
 	cd po && $(MAKE) uninstall
 endif
-	$(RM) $(DESTDIR)$(MYMANPATH)/isomaster.1
-	$(RM) $(DESTDIR)$(DESKTOPPATH)/isomaster.desktop
+	$(RM) -f $(DESTDIR)$(MYMANPATH)/isomaster.1
+	$(RM) -f $(DESTDIR)$(DESKTOPPATH)/isomaster.desktop
+	$(RM) -rf $(DESTDIR)$(MYDOCPATH)
