## isomaster 1.3.8

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.7
+VERSION = 1.3.8
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
