=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo ja.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo ur_PK.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)
