=== debian/changelog ===
isomaster (1.3.9-2) unstable; urgency=medium

  * Add ld-as-needed.diff patch from Ubuntu
  * Add use-actual-boot-image-size-in-eltorito-boot-catalog.diff patch from
    Ubuntu (Closes: #734390, LP: #1266461)
  * Standards-version to 3.9.5
  * Bump packaging copyright year to 2014

 -- David Johnson <dj@david-web.co.uk>  Sun, 12 Jan 2014 17:56:29 +0000

isomaster (1.3.9-1) unstable; urgency=low

  * New upstream release (Closes: #673419)
  * Use quilt for patch(es)
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build-arch and build-indep targets in debian/rules
  * Add hardening build-flags in debian/rules
  * Fix-up old boilerplate text in debian/copyright
  * Register bkisofs manual in doc-base
  * Standards-version to 3.9.3

 -- David Johnson <dj@david-web.co.uk>  Sun, 27 May 2012 11:52:18 +0100

isomaster (1.3.8-1) unstable; urgency=low

  * New upstream release
  * Remove fortify patch (merged by upstream)
  * Standards-version to 3.9.2

 -- David Johnson <dj@david-web.co.uk>  Sun, 29 May 2011 18:25:21 +0100

isomaster (1.3.7-2) unstable; urgency=low

  * Add patch for buffer overflow triggered by compilation with fortify flag
    (LP: #500151)
  * Standards-version to 3.8.4

 -- David Johnson <dj@david-web.co.uk>  Mon, 01 Mar 2010 19:55:54 +0000

isomaster (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Add ${misc:Depends}
  * Remove redundant fixes for bkisofs manual build (fixed upstream)

 -- David Johnson <dj@david-web.co.uk>  Sun, 10 Jan 2010 15:15:42 +0000

isomaster (1.3.6-1) unstable; urgency=low

  * New upstream release
  * Standards-version to 3.8.3
  * Remove deprecated call to dh_desktop
  * New docbook build-depends
  * Makefiles fixed to point to correct bkisofs-manual build location and
    clean-up properly
  * Installation directory for bkisofs manual changed to /usr/share/doc

 -- David Johnson <dj@david-web.co.uk>  Sat, 24 Oct 2009 21:03:09 +0100

isomaster (1.3.5-1) unstable; urgency=low

  * New upstream release
  * Rules file fixed to add missing call to dh_desktop
  * Standards-version to 3.8.1

 -- David Johnson <dj@david-web.co.uk>  Sun, 12 Apr 2009 12:00:48 +0100

isomaster (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Tidy .desktop file and fix categories (Closes: #507369)

 -- David Johnson <dj@david-web.co.uk>  Sat, 06 Dec 2008 16:07:12 +0000

isomaster (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.8.0

 -- David Johnson <dj@david-web.co.uk>  Sun, 06 Jul 2008 13:31:58 +0100

isomaster (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update project homepage address

 -- David Johnson <dj@david-web.co.uk>  Sat, 09 Feb 2008 11:40:44 +0000

isomaster (1.3-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.7.3
  * Fix watch file for rc filename variations

 -- David Johnson <dj@david-web.co.uk>  Tue, 18 Dec 2007 21:11:57 +0000

isomaster (1.2-1) unstable; urgency=low

  * New upstream release
  * Fix watch file to handle RCs properly
  * Update upstream's e-mail address

 -- David Johnson <dj@david-web.co.uk>  Sat, 27 Oct 2007 22:26:45 +0100

isomaster (1.1-1) unstable; urgency=low

  * New upstream release
  * Now suggest 'mousepad' package
  * Update menu file for section changes
  * Fix rules file to not ignore errors from 'make clean'

 -- David Johnson <dj@david-web.co.uk>  Sat, 13 Oct 2007 22:25:46 +0100

isomaster (1.0-1) unstable; urgency=low

  * New upstream release
  * Update watch file to handle upstream [-]rc naming inconsistency
  * Update to standards version 3.7.2.2

 -- David Johnson <dj@david-web.co.uk>  Sat, 09 Jun 2007 23:40:58 +0100

isomaster (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Tidy homepage link in debian/control

 -- David Johnson <dj@david-web.co.uk>  Sun, 18 Mar 2007 19:21:27 +0000

isomaster (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #413857)
  * Change of GPL text location in about.c
  * A few declarations commented-out in strlib.h and dictionary.h to fix
    compilation with -O2
  * Makefile modified to compress manpage

 -- David Johnson <dj@david-web.co.uk>  Sat, 17 Mar 2007 10:15:04 +0000

isomaster (0.7-3) unstable; urgency=low

  * Fixed up locales

 -- David Johnson <dj@david-web.co.uk>  Thu, 18 Jan 2007 09:18:36 +0000

isomaster (0.7-2) unstable; urgency=low

  * Added some missing files

 -- David Johnson <dj@david-web.co.uk>  Thu, 18 Jan 2007 09:18:13 +0000

isomaster (0.7-1) unstable; urgency=low

  * Initial release

 -- David Johnson <dj@david-web.co.uk>  Wed, 17 Jan 2007 10:05:54 +0000
