=== debian/control ===
Source: isomaster
Section: otherosfs
Priority: optional
Maintainer: David Johnson <dj@david-web.co.uk>
Homepage: http://www.littlesvr.ca/isomaster/
Build-Depends: debhelper (>= 9), libgtk2.0-dev, gettext, docbook, docbook-utils, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5

Package: isomaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mousepad
Description: Graphical CD image editor
 You can use isomaster to:
  - add files to an image
  - extract files from an image
  - delete files from an image
