## isomaster 1.3.13

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,9 @@
 # don't uncomment it unless you are willing to risk losing data.
 #CPPFLAGS += -DENABLE_SAVE_OVERWRITE
 
+# Define this on the command-line to use the system iniparser
+#USE_SYSTEM_INIPARSER = 1
+
 # programs used in the Makefiles:
 export CC      ?= gcc
 export AR      = ar
@@ -48,7 +51,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.8
+VERSION = 1.3.13
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
@@ -61,24 +64,36 @@
 # the _FILE_OFFSET_BITS=64 is to enable stat() for large files on linuxish systems
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
+ifdef USE_SYSTEM_INIPARSER
+CPPFLAGS += -DUSE_SYSTEM_INIPARSER=$(USE_SYSTEM_INIPARSER)
+endif
+
 OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.o settings.o boot.o editfile.o
 
 all: translations isomaster.desktop isomaster
 
 isomaster: $(OBJECTS) lib iniparser
 	@echo 'Linking isomaster'
-	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
+ifndef USE_SYSTEM_INIPARSER
+	@$(CC) $(LDFLAGS) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a -o isomaster `pkg-config --libs gtk+-2.0`
+else
+	@$(CC) $(LDFLAGS) $(OBJECTS) bk/bk.a -liniparser -o isomaster `pkg-config --libs gtk+-2.0`
+endif
 
 # static pattern rule
 $(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
 	@echo 'Compiling' $<
-	@$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@
+	@$(CC) $(CFLAGS) $(CPPFLAGS) $< -c -o $@
 
 lib:
 	cd bk && $(MAKE)
 
 iniparser:
+ifndef USE_SYSTEM_INIPARSER
 	cd iniparser-2.17 && $(MAKE)
+else
+	@echo "Will use system iniparser";
+endif
 
 translations:
 ifndef WITHOUT_NLS
@@ -114,9 +129,6 @@
 	$(INSTALL) -d $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -m 644 isomaster.desktop $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -d $(DESTDIR)$(MYDOCPATH)
-	for FILE in bkisofs-manual/*html; do \
-            $(INSTALL) -m 644 $$FILE $(DESTDIR)$(MYDOCPATH); \
-        done;
 
 uninstall: 
 	$(RM) -f $(DESTDIR)$(BINPATH)/isomaster
