=== debian/rules ===
#!/usr/bin/make -f
export PREFIX=/usr
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel
