=== debian/watch ===
version=3

opts="uversionmangle=s/^[0-9]\.[0-9](?-)rc/0./" \
http://littlesvr.ca/isomaster/releases/isomaster-(.*)\.tar\.bz2
